{% extends 'index.html' %}
{% load crispy_forms_filters %}
{% block content %}
    <div class="updt">
        <div class="containerLogin">
            <h2>Order details</h2>
            <form action='{% url 'sent-form' %}' method="post" id="myForm">
                {% csrf_token %}
                {{ form | crispy }}
                <div class="total-order">
                    Total: {{ total }} <br>
                    VAT: {{ VAT }} <br>
                    Shipment: {{ shipment }} <br><br>
                </div>
                <input class="button-mull" id="sb-order" type="submit" value="Place order">
                <br><br>
            </form>
            <form action="{% url 'cart' %}" method="get">
                <input  type="submit" class="button-mull" id="sb-but-order" value="Back to cart">
            </form>
        </div>
    </div>
{% endblock %}
<script>
    document.getElementById("myForm").addEventListener("click", function(event){
  event.preventDefault()
});
</script>

<script>
    // Callback
    window.onbeforeunload = function() {
            return "you can not refresh the page";
        }
</script>